Bug 647406 - max_brightness value is incorrect for some chipsets
max_brightness value is incorrect for some chipsets
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 05:17 EDT by Aaron Sowry
Modified: 2012-08-16 13:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Sowry 2010-10-28 05:17:40 EDT
Description of problem:
On a system with both nouveau and ACPI backlight controls, g-p-m prefers the nouveau ones. This is a problem for chipsets which aren't yet supported properly by nouveau (see bug 625171 for example).

How reproducible:
Always, with certain chipsets

Steps to Reproduce:
1. Open g-p-m preferences
2. Manipulate brightness slider

OR

1. Boot machine on battery power
2. Wait for g-p-m to dim brightness according to power-saving preferences
  
Actual results:
Brightness is set relative to nouveau's max_brightness value, which is incorrect for some chipsets (in my case, much too low). Consequently, I am plunged into darkness even at the highest setting.

Expected results:
Brightness is set relative to the ACPI max_brightness value, using the ACPI controls

Additional info:
Graphics card in question has an NV50 0x0af chipset
Comment 1 Richard Hughes 2010-10-28 05:40:32 EDT
(In reply to comment #0)
> Brightness is set relative to nouveau's max_brightness value, which is
> incorrect for some chipsets (in my case, much too low). Consequently, I am
> plunged into darkness even at the highest setting.

Surely this is a nouveau bug then?
Comment 2 Aaron Sowry 2010-10-28 07:08:30 EDT
(In reply to comment #1)
> Surely this is a nouveau bug then?

Yes and no. ACPI is presumably a more reliable set of controls when using reverse-engineered drivers such as the ones that ship with Fedora by default, so surely g-p-m should prefer using these controls on ACPI systems which provide them? Or is there a reason why it doesn't?
Comment 3 Richard Hughes 2010-11-01 06:01:18 EDT
(In reply to comment #2)
> Yes and no. ACPI is presumably a more reliable set of controls when using
> reverse-engineered drivers such as the ones that ship with Fedora by default,
> so surely g-p-m should prefer using these controls on ACPI systems which
> provide them? Or is there a reason why it doesn't?

No, g-p-m prefers the XOrg backlight control over the platform or ACPI system controls. Whether the hardware is reverse engineered or not makes no difference. On other systems using the xorg controls is more accurate than using the limited number of steps in the acpi driver.

I'll reassign this to the xorg component.
Comment 4 Aaron Sowry 2010-11-01 11:18:47 EDT
What about cases where xrandr does not support the backlight property? This is what is happening in my case, and g-p-m seems to fall back to gnome-power-backlight-helper which prefers the nouveau control over the ACPI one.

It's hard to deduce any consistent policy by looking at the priority order of backlight interfaces in gpm-backlight-helper.c, except that platform controls are preferred over ACPI for (only?) NVIDIA chipsets - a faulty policy in my opinion, as ACPI leaves the system in a much more consistent state than manipulating hardware registers directly. It seems that this interface should be prioritised down, or even removed completely.
Comment 5 Fedora End Of Life 2012-08-16 13:39:57 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.